import com.example.demo.neo4j.PersonEntity;
import com.example.demo.neo4j.PersonRepository;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import reactor.core.publisher.Mono;

@RestController
@RequestMapping("/people")
public class PersonController {
  private final PersonRepository personRepository;

  public PersonController(PersonRepository personRepository) {
    this.personRepository = personRepository;
  }

  @GetMapping("/by-title")
  Mono<PersonEntity> byTitle(@RequestParam String name) {
    return personRepository.findOneByName(name);
  }}
